{% extends "world_of_islam/layouts/page.html" %}{% load static humanize %}
<i></i>
{% block world_of_islam %}

{% include "world_of_islam/layouts/top-panel.html" with category=_("Audios") order_types=order_types %}

{% comment %} AUDIOS {% endcomment %}
<ul class="grid md:grid-cols-2 lg:grid-cols-3 gap-10">
  {% for obj in objects %}
  <li
    data-aos="zoom-out-left"
    data-aos-duration="1000"
    data-aos-delay="{{forloop.counter}}00"
    data-aos-anchor-placement="top-bottom"
  >
    <div class="group text-sm bg-gradient-to-br from-white to-main-white p-3 rounded-md shadow-lg transition duration-500 hover:shadow-card hover:-translate-y-0.5">
      <div
        title="{{obj.title}}"
        class="relative aspect-square max-w-[15rem] mx-auto mb-5 bg-accent bg-[url({% static "media/images/islamic_pattern_black_6.png" %})] bg-[length:10rem_auto] rounded-full shadow-lg transition duration-500 group-hover:contrast-125 overflow-hidden"
      >
        {% if obj.cover %}
        <img
          alt="{{obj.title}}"
          title="{{obj.title}}"
          src="{% get_media_prefix %}{{obj.cover}}"
          class="w-full h-full object-cover"
        />
        {% else %}
        <div class="w-full h-full grid place-items-center bg-gradient-to-br from-accent via-transparent to-accent"></div>
        {% endif %}
        <div class="absolute pointer-events-none bottom-1/2 right-1/2 translate-x-1/2 translate-y-1/2">
          <i
            data-aos="zoom-in"
            data-aos-delay="400"
            data-aos-duration="1000"
            class="fa-solid fa-headphones h-14 w-14 grid place-items-center text-2xl bg-gradient-to-br from-main/95 to-main-darken text-accent rounded-full shadow-lg"
          ></i>
        </div>
      </div>
      <audio
        data-aos="zoom-in"
        data-aos-duration="1000"
        data-aos-anchor-placement="top-bottom"
        src="{% get_media_prefix %}{{obj.audio}}"
        class="w-full max-w-md mx-auto rounded-full shadow-lg p-1.5 bg-gradient-to-br from-main/95 to-main-dark"
        controlsList="nodownload"
        preload="none"
        controls
      ></audio>
      <div class="grid gap-0.5 italic px-3 pt-5">
        <div
          data-aos="fade-left"
          data-aos-delay="100"
          data-aos-duration="1000"
          data-aos-anchor-placement="top-bottom"
          title="{{obj.title}}" class="line-clamp-1 font-medium"
        >
          <i class="fa-solid fa-headphones"></i> &nbsp;{{obj.title}}
        </div>
        <div
          data-aos="fade-left"
          data-aos-delay="200"
          data-aos-duration="1000"
          data-aos-anchor-placement="top-bottom"
          title="{{obj.author}}" class="line-clamp-1"
        >
          <i class="fa-solid fa-user"></i> &nbsp;{{obj.author}}
        </div>
        <div
          data-aos="fade-left"
          data-aos-delay="300"
          data-aos-duration="1000"
          data-aos-anchor-placement="top-bottom"
          title="{{obj.hit}}" class="line-clamp-1"
        >
          <i class="fa-solid fa-download"></i> &nbsp;{{obj.hit|intword}}
        </div>
        <div
          data-aos="fade-left"
          data-aos-delay="400"
          data-aos-duration="1000"
          data-aos-anchor-placement="top-bottom"
          title="{{obj.created_date}}" class="line-clamp-1"
        >
          <i class="fa-solid fa-clock"></i> {{obj.created_date|naturaltime}}
        </div>
      </div>
      <div
        data-aos="fade-right"
        data-aos-duration="1000"
        data-aos-anchor-placement="top-bottom"
        class="flex justify-end mt-5"
      >
        <a
          href="{% url "apps.world_of_islam:files" %}?category=audio&id={{obj.id}}"
          class="inline-flex items-center gap-2 h-8 px-6 text-white text-xs font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-main/95 to-main-dark hover:bg-gradient-to-tl"
          download
        >
          <i class="fa-solid fa-download"></i>
          {{_("Download")}}
        </a>
      </div>
    </div>
  </li>
  {% endfor %}
</ul>

{% endblock world_of_islam %}
